# vim: set ft=spec: -*- rpm-spec -*-
# $Id: coldsync,v 1.29 2004/02/26 14:30:46 grigory Exp $

%define pre_version pre4

Name: coldsync
Version: 3.0
Release: alt4.%pre_version.1

Summary: tool for synchronizing data between Palm devices, work with m50x across USB
License: Artistic
Group: Communications
Url: http://www.ooblick.com/software/coldsync/

Source0: %name-%version-%pre_version.tar.gz
Source1: ru.po

# Automatically added by buildreq on Wed Jul 09 2003
BuildRequires: XFree86-devel flex gcc-c++ libcap-devel libstdc++-devel perl-devel tetex-dvips perl-p5-Palm perl-TimeDate

%package perl
Summary: A module to simplify writing ColdSync conduits
Group: Communications
Requires: coldsync = %version-%release

%description
	ColdSync is a tool for synchronizing data between Palm
computing devices (such as the PalmPilot, PalmPilot Pro, Palm V,
QualComm PDQ, Handspring Visor and so forth), and a Unix workstation.
	ColdSync can back up and restore the state of a Palm, as well
as synchronize its data, which is sort of like a two-way rdist (see
below). In future versions, it will be possible to do more interesting
things with this data.

%description perl
A module to simplify writing ColdSync conduits

%prep
%setup -q -n %name-%version-%pre_version
%__cp -f %SOURCE1 i18n/
%__subst 's|\(TEXIFILES:\.texi=\.info\)-\*|\1\*|' doc/Makefile

%build
export ac_cv_lib_intl_gettext=no
%configure
%__make INSTALLDIRS=vendor

%install
%__mkdir_p %buildroot/%_bindir/
%make_install \
	PREFIX=%buildroot/%_prefix/ \
	EXEC_PREFIX=%buildroot/%_prefix/ \
	BINDIR=%buildroot/%_bindir \
	SBINDIR=%buildroot/%_sbindir \
	SYSCONFDIR=%buildroot/%_sysconfdir \
	DATADIR=%buildroot/%_datadir \
	INCLUDEDIR=%buildroot/%_includedir \
	LIBDIR=%buildroot/%_libdir \
	LIBEXECDIR=%buildroot/%_libdir \
	MANDIR=%buildroot/%_mandir \
	MAN1DIR=%buildroot/%_man1dir \
	INFODIR=%buildroot/%_infodir \
	LOCALEDIR=%buildroot/%_datadir/locale \
	INSTALLDIRS=vendor \
	install
%__mv -f %buildroot/%_libdir/%name/* %buildroot/%_bindir/
%__cp -f conduits/{dump-headers,memo-text,std-categories} %buildroot/%_bindir/
%__cp -f conduits/*.1 %buildroot/%_man1dir
%__mv -f %buildroot/%_sysconfdir/sample.%name.rc %buildroot/%_sysconfdir/%name.conf

pushd perl/ColdSync
	%__rm -f Makefile
	%__perl Makefile.PL \
                PREFIX=%prefix \
                INSTALLDIRS=vendor
	%__subst 's|--perm_rw=$(PERM_RW)||g' Makefile
	%__make
	%perl_vendor_install
popd
%__rm -rf %buildroot%_libdir/perl*/i386-linux

%find_lang %name

%files -f %name.lang
%doc AUTHORS Artistic ChangeLog* FAQ HACKING INSTALL NEWS README* TODO 
%config(noreplace) %_sysconfdir/%name.conf
%_bindir/%name
%_sbindir/*
%_man1dir/*
%_man3dir/*
%_man8dir/*
%_infodir/*

%files perl
%dir %perl_vendor_privlib/ColdSync
%_bindir/copy-appinfo
%_bindir/dump-headers
%_bindir/memo-text
%_bindir/send-mail
%_bindir/std-categories
%_bindir/todo-text
%_bindir/mbox-inbox
%_bindir/send-mail-2
%perl_vendor_privlib/ColdSync*

%changelog
* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 3.0-alt4.pre4.1
- Rebuilt with libstdc++.so.6.

* Thu Feb 26 2004 Grigory Milev <week@altlinux.ru> 3.0-alt4.pre4
- new version released

* Thu Feb 26 2004 Dmitry V. Levin <ldv@altlinux.org> 3.0-alt3.pre3
- Removed libintl-devel dependencies.

* Wed Oct 22 2003 Grigory Milev <week@altlinux.ru> 3.0-alt2.pre3
- fix build requires

* Tue Jul  8 2003 Grigory Milev <week@altlinux.ru> 3.0-alt1.pre3
- new version released
- fixed spec file
- rewriten ru.po
- move perl modules to separate package

* Fri Nov 15 2002 Grigory Milev <week@altlinux.ru> 2.2.5-alt2
- rebuild with gcc3
- remover perl from build requires

* Wed Dec 12 2001 Grigory Milev <week@altlinux.ru> 2.2.5-alt1
- New version released

* Fri Nov 23 2001 Grigory Milev <week@altlinux.ru>  2.2.4-alt1
- Initial build for ALT Linux distribution
- added ru.po



